*.rf-cal {
  display: inline;
}

*.rf-cal-extr {
  border-collapse: initial;
  margin: 2px 0;
  padding: 4px;
  width: 19em;
  top: 100%;
  left: 0;
  z-index: 1000;
  float: left;
  min-width: 160px;
  text-align: left;
  list-style: none;
  background-color: #fff;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: 4px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, .175)
}

*.rf-cal-popup {
  cursor: default;
  top: 100% !important;
}

*.rf-cal-btn {
  cursor: pointer;
}

*.rf-cal-hdr {
  padding-bottom: 4px;
}

*.rf-cal-hdr > table > tbody > tr > td:first-child {
  border-top-left-radius: 0;
}

*.rf-cal-hdr > table > tbody > tr > td:last-child {
  border-top-right-radius: 0;
}

*.rf-cal-c-cnt-overflow {
  width: 30px;
  height: 30px;
}

*.rf-cal-c-cnt {
  overflow: hidden;
}

*.rf-cal-c {
  padding: 0;
  vertical-align: middle;
  text-align: center;
  background-color: #FFF;
}

*.rf-cal-hdr-month {
  vertical-align: middle;
  text-align: center;
  line-height: 22px;
  white-space: nowrap;
  font-weight: bold;
  color: #000;
}

*.rf-cal-tl {
  vertical-align: middle;
  text-align: center;
  width: 20px;
  height: 22px;
  font-weight: bold;
  color: #000;
}

*.rf-cal-day-lbl {
  border-bottom: 1px solid;
  border-right: 0 solid;
  vertical-align: middle;
  text-align: center;
  height: 22px;
  font-weight: bold;
  border-bottom-color: #C4C0B9;
  border-right-color: #C4C0B9;
}

*.rf-cal-week {
  border-right: 1px solid;
  vertical-align: middle;
  text-align: center;
  width: 25px;
  font-size: 80%;
  color: #aaa;
}

*.rf-cal-right-c {
  border-right: 0;
}

*.rf-btm-c {
  border-bottom: 0;
}

*.rf-cal-tl-ftr {
  height: 22px;
  padding: 1px 2px 1px 1px;
  background-repeat: no-repeat;
  background-position: right center;
}

*.rf-cal-ftr {
  border-top: 1px solid;
  border-right: 0 solid;
  border-top-color: #C4C0B9;
}

*.rf-cal-sp-inp {
  width: 22px;
}

*.rf-cal-spec {
  background-color: #F1EEE9;
}

*.rf-cal-holiday {
  background-color: #FFEBDA;
  color: #FF7800;
}

*.rf-cal-boundary-day {
  color: #a0a0a0;
}

*.rf-cal-today {
  background-color: #FF7800;
  color: #FFEBDA;
  font-weight: bold;
}

*.rf-cal-sel {
  background-color: #D4CFC7;
  color: #000;
  font-weight: bold;
}

*.rf-cal-hov {
  background-color: #F1EEE9;
  background-color: #F1EEE9;
}

*.rf-cal-tl-btn {
  @extend .btn;
  @extend .btn-default;
  cursor: pointer;
  padding: 2px 3px 2px 3px;
  white-space: nowrap;
}

*.rf-cal-tl-btn-dis {
  cursor: pointer;
  padding: 2px 3px 2px 3px;
}

*.rf-cal-tl-btn-hov {
  @extend .btn;
  @extend .btn-default;
  background-color: #F1EEE9;
  color: #000;
  padding: 1px 2px 1px 2px;
}

*.rf-cal-btn-close {
  padding: 2px 2px 2px 4px;
  background-repeat: no-repeat;
  background-position: left center;
}

*.rf-cal-btn {
  cursor: pointer;
  vertical-align: middle;
}

*.rf-cal-edtr-shdw {
  background: #FFF;
  opacity: .5;
  filter: alpha(opacity=50);
}

*.rf-cal-timepicker-cnt {
  padding: 5px;
  border-collapse: initial;
  min-width: 100px;
  z-index: 1001;
  float: left;
  text-align: left;
  list-style: none;
  background-color: #fff;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: 4px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
  position: relative;
}

*.rf-cal-monthpicker-cnt {
  background: #FFF;
  border: 1px solid;
  border-color: #C4C0B9;
  position: relative;
}

*.rf-cal-timepicker-inp {
  padding: 7px 7px 5px 7px;
  white-space: nowrap;
}

*.rf-cal-monthpicker-split {
  border-right: 1px solid;
  border-right-color: #C4C0B9;
}

*.rf-cal-time-btn {
  @extend .btn;
  @extend .btn-default;
  width: auto !important;
  margin: 2px;
}

*.rf-cal-time-inp {
  width: 22px;
  margin: 0 2px;
}

*.rf-cal-sp-up, *.rf-cal-sp-down {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 2px;
  margin-right: 2px;
  vertical-align: middle;
  border-right: 6px solid transparent;
  border-left: 6px solid transparent;
  cursor: pointer;
}

*.rf-cal-sp-up {
  top: auto;
  bottom: 100%;
  margin-bottom: 6px;
  border-bottom: 6px dashed;
  border-bottom: 6px solid \9
;
}

*.rf-cal-sp-down {
  border-top: 6px solid \9
;
  border-top: 6px dashed;
}

*.rf-cal-sp-press {
  margin: 1px 0 0 1px;
}

*.rf-cal-edtr-btn {
  width: 36px;
  padding: 2px;
  margin: 2px;
  text-align: center;
  cursor: pointer;
}

*.rf-cal-edtr-btn-over {
  padding: 1px;
  border: 1px solid;
  border-color: #C4C0B9;
  background: #F1EEE9;
}

*.rf-cal-edtr-btn-sel {
  background-color: #FF7800;
  padding: 2px;
  border: 0;
  color: #FFEBDA;
  font-weight: bold;
  cursor: default;
}

*.rf-cal-edtr-tl-over {
  padding: 1px;
  border: 1px solid;
  background: #F1EEE9;
  border-color: #FFF;
  border-right-color: #C4C0B9;
  border-bottom-color: #C4C0B9;
}

*.rf-cal-edtr-tl-press {
  padding: 1px;
  border: 1px solid;
  background: #F1EEE9;
  border-color: #C4C0B9;
  border-right-color: #FFF;
  border-bottom-color: #FFF;
}